/* --------------------------------------------------------------------
 * Clac - calculator (C) 1994-2006 by Eero Tamminen.
 *
 * This is free software; you can redistribute it and/or modify
 * it under the terms specified in the COPYRIGHTS file.
 * 
 * declare common userinterface subfunctions
 */

#ifndef COMMON_H
#define COMMON_H

/* complex number output type: a + b i / (a, b) / (a, b rad) */
enum type_cplx { CPX_CMPNT = 1, VEC_CMPNT, VEC_POLAR };

#ifdef COMMON_C
#define ext
#else
#define ext extern
#endif

ext char *var_get (int idx, char *name, char *expression, int *err);
ext void var_put (char *var, struct packet *exp);
ext void errors (int err_value, char *err);
/* convert result to ascii (bin, oct, dec, hex, complex) */
ext int  conv (cplx value, char *str, int out_mode, int cpx_mode, int trig_mode);
ext int  make_out (char *exp, char mode, int bits, double value);

#undef ext

#endif	/* COMMON_H */
