#ifndef MARSHAL_C
#define MARSHAL_C 1

/* Bare's marshalling stub for calc(). */
inline int calc(char *in, struct clac_out *out)
{
  static struct message msg;
  msg.arg1 = (long) in;
  msg.arg2 = (long) out;
  msg.pid = 0;

#if 0
  dprintf("(clac-clt): Sending message to mbox id %lx.\n", BARE_MBOXID);
  if (Pmsg(PMSG_SEND | PMSG_NON_BLOCKING, BARE_MBOXID, &msg) == -1)
    dprintf("(clac-clt): No one at the rendez-vous!\n");
  dprintf("(clac-clt): Done sending message.\n");

  dprintf("(clac-clt): Receiving reply from mbox id %lx.\n",
	  PMSG_REPLY_MBOX_MASK | Pgetpid());
  Pmsg(PMSG_RECEIVE, PMSG_REPLY_MBOX_MASK | Pgetpid(), &msg);
  dprintf("(clac-clt): Done receiving reply. msg.pid == %d\n", msg.pid);
#else
  dprintf("(clac-clt): Send-and-receiving at mbox id %lx.\n",
          BARE_MBOXID);
  Pmsg(PMSG_SEND_AND_RCV, BARE_MBOXID, &msg);
  dprintf("(clac-clt): Done at rendezvous.\n");
#endif

  return (out->error);
}

#endif /* MARSHAL_C */