#ifndef UNMARSHL_C
#define UNMARSHL_C 1

#include "message.h"

#define request message;

inline void receive(struct message *rqt)
{
  dprintf("(bare-srv): Receiving message from mbox. mboxid == %lx\n",
          BARE_MBOXID);
  Pmsg(PMSG_RECEIVE, BARE_MBOXID, (struct message *) rqt);
  dprintf("(bare-srv): Done receiving message\n");
}

inline void reply(struct message *rqt)
{
  dprintf("(bare-srv): Sending reply to reply-mbox. mboxid == %lx\n",
          PMSG_REPLY_MBOX_MASK | rqt->pid);
  if (Pmsg(PMSG_SEND | PMSG_NON_BLOCKING, PMSG_REPLY_MBOX_MASK | rqt->pid,
           rqt) == -1)
	dprintf("(bare-srv): No one at the rendezvous when replying!\n");
  dprintf("(bare-srv): Done sending reply\n");
}

#endif /* UNMARSHL_C */
