#ifndef BARE_H
#define BARE_H 1

#ifndef TRUE
#define FALSE	0
#define TRUE	!FALSE
#endif

/* define error codes                                                   */
#define CMD_ERR 1			/* error in command line	*/
#define GEN_ERR 3			/* error in expression		*/
#define PAR_ERR 4			/* mismatched parenthesis	*/
#define DEF_ERR 5			/* undefined result 1/0		*/
#define STK_ERR 7			/* par/val/op stack full	*/

struct clac_out {
	double result;			/* result of expression		*/
	int error;			/* a possible error code	*/
};

/* evaluate expression prototype */
int	calc(char *in, struct clac_out *out);

/* MULTITASKING CLIENT SERVER IMPLEMENTATION */
#if defined(BARE_CLIENT) || defined(BARE_SERVER)

#ifdef __MINT__
#include "atari/clt-srv.h"
#endif

#endif /* defined(BARE_CLIENT) || defined(BARE_SERVER) */

#endif /* BARE_H */
