/* BARE server version 0.1. Reads requests from MiNT message box 'bare' */

#include <stdio.h>
#ifdef DEBUG
#include <stdlib.h>                   /* atexit() */
#endif
#include "bare.h"                     /* calc(), dprintf(), debug etc. */

struct message rqt;

int main()
{
  fprintf(stderr, "Bare server v0.1.\n");
  fprintf(stderr, "Reading requests from MiNT mbox \'bare\'\n");

#ifdef DEBUG
  init_debug();
  atexit(cleanup_debug);
#endif

  for (;;)
    {
      receive(&rqt);
      if (rqt.arg1 == 0 || rqt.arg2 == 0)
        {
          dprintf("(bare-srv): Incomplete message!"
	          " rqt.arg1 == %lx, rqt.arg2 == %lx, rqt.pid == %d.\n",
        	   rqt.arg1, rqt.arg2, rqt.pid);
	  continue;
        }
      calc((char *) rqt.arg1, (struct clac_out *) rqt.arg2);
      reply(&rqt);
    }
}
